# Interface methods for submodule: SquareImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import UnaryGeneratorImageFilterProxy as _UnaryGeneratorImageFilterProxy


# Interface methods for class: SquareImageFilter
class SquareImageFilterProxy(_UnaryGeneratorImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

